# ModelRisk (ARX GUI Documentation)

org.deidentifier.arx.gui.model

## Class ModelRisk

- java.lang.Object
- - org.deidentifier.arx.gui.model.ModelRisk

- All Implemented Interfaces:
    java.io.Serializable

      public class ModelRisk
      extends java.lang.Object
      implements java.io.Serializable

  A model for risk analysis
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ModelRisk.RiskModelForAttributes` A enum for statistical models underlying attribute analyses
    `static class` | `ModelRisk.ViewRiskType` A enum for views

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelRisk()` Creates a new instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaxQiSize()`
    `ARXPopulationModel` | `getPopulationModel()` Returns the backing model
    `double` | `getPopulationSize()`
    `ARXPopulationModel.Region` | `getRegion()` Returns the region
    `ModelRisk.RiskModelForAttributes` | `getRiskModelForAttributes()` Returns the risk model used for attribute analyses
    `double` | `getRiskThresholdHighestRisk()` Returns a threshold
    `double` | `getRiskThresholdRecordsAtRisk()` Returns a threshold
    `double` | `getRiskThresholdSuccessRate()` Returns a threshold
    `ARXSolverConfiguration` | `getSolverConfiguration()` Returns the solver configuration
    `boolean` | `isModified()` Is this model modified
    `boolean` | `isViewEnabledForInput(ModelRisk.ViewRiskType view)` Returns whether a view is enabled
    `boolean` | `isViewEnabledForOutput(ModelRisk.ViewRiskType view)` Returns whether a view is enabled
    `void` | `setMaxQiSize(int maxQiSize)`
    `void` | `setPopulationSize(long populationSize)` Sets the population size
    `void` | `setRegion(ARXPopulationModel.Region region)` Sets the region
    `void` | `setRiskModelForAttributes(ModelRisk.RiskModelForAttributes model)` Sets the risk model used for attribute analyses
    `void` | `setRiskThresholdHighestRisk(double threshold)` Sets a threshold
    `void` | `setRiskThresholdRecordsAtRisk(double threshold)` Sets a threshold
    `void` | `setRiskThresholdSuccessRate(double threshold)` Sets a threshold
    `void` | `setUnmodified()` Set unmodified
    `void` | `setViewEnabledForInput(ModelRisk.ViewRiskType view, boolean value)` Allows to enable/disable views
    `void` | `setViewEnabledForOutput(ModelRisk.ViewRiskType view, boolean value)` Allows to enable/disable views

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelRisk

          public ModelRisk()

      Creates a new instance

  - ### Method Detail

    - #### getMaxQiSize

          public int getMaxQiSize()

      Returns:
        the maxQiSize

    - #### getPopulationModel

          public ARXPopulationModel getPopulationModel()

      Returns the backing model
      Returns:

    - #### getPopulationSize

          public double getPopulationSize()

      Parameters:
        `handle` -
      Returns:
      See Also:
        `ARXPopulationModel.getPopulationSize()`

    - #### getRegion

          public ARXPopulationModel.Region getRegion()

      Returns the region
      Returns:

    - #### getRiskModelForAttributes

          public ModelRisk.RiskModelForAttributes getRiskModelForAttributes()

      Returns the risk model used for attribute analyses
      Returns:

    - #### getRiskThresholdHighestRisk

          public double getRiskThresholdHighestRisk()

      Returns a threshold
      Returns:

    - #### getRiskThresholdRecordsAtRisk

          public double getRiskThresholdRecordsAtRisk()

      Returns a threshold
      Returns:

    - #### getRiskThresholdSuccessRate

          public double getRiskThresholdSuccessRate()

      Returns a threshold
      Returns:

    - #### getSolverConfiguration

          public ARXSolverConfiguration getSolverConfiguration()

      Returns the solver configuration

    - #### isModified

          public boolean isModified()

      Is this model modified
      Returns:

    - #### isViewEnabledForInput

          public boolean isViewEnabledForInput(ModelRisk.ViewRiskType view)

      Returns whether a view is enabled
      Parameters:
        `view` -
      Returns:

    - #### isViewEnabledForOutput

          public boolean isViewEnabledForOutput(ModelRisk.ViewRiskType view)

      Returns whether a view is enabled
      Parameters:
        `view` -
      Returns:

    - #### setMaxQiSize

          public void setMaxQiSize(int maxQiSize)

      Parameters:
        `maxQiSize` - the maxQiSize to set

    - #### setPopulationSize

          public void setPopulationSize(long populationSize)

      Sets the population size
      Parameters:
        `populationSize` -

    - #### setRegion

          public void setRegion(ARXPopulationModel.Region region)

      Sets the region
      Parameters:
        `region` -

    - #### setRiskModelForAttributes

          public void setRiskModelForAttributes(ModelRisk.RiskModelForAttributes model)

      Sets the risk model used for attribute analyses
      Parameters:
        `model` -

    - #### setRiskThresholdHighestRisk

          public void setRiskThresholdHighestRisk(double threshold)

      Sets a threshold
      Parameters:
        `threshold` -

    - #### setRiskThresholdRecordsAtRisk

          public void setRiskThresholdRecordsAtRisk(double threshold)

      Sets a threshold
      Parameters:
        `threshold` -

    - #### setRiskThresholdSuccessRate

          public void setRiskThresholdSuccessRate(double threshold)

      Sets a threshold
      Parameters:
        `threshold` -

    - #### setUnmodified

          public void setUnmodified()

      Set unmodified

    - #### setViewEnabledForInput

          public void setViewEnabledForInput(ModelRisk.ViewRiskType view,
                                    boolean value)

      Allows to enable/disable views
      Parameters:
        `view` -
        `value` -

    - #### setViewEnabledForOutput

          public void setViewEnabledForOutput(ModelRisk.ViewRiskType view,
                                     boolean value)

      Allows to enable/disable views
      Parameters:
        `view` -
        `value` -